{% extends 'base.html.twig' %}

{% block stylesheets %}
    <link href="{{ asset('/css/parts.css') }}" rel="stylesheet">
{% endblock %}

{% block body %}

    <form action="{{ path(route) }}" style="display: flex;">
        <input
            type="hidden"
            name="page"
            value="1"
        >
        {% for key in filters|keys %}
            {% if (key != select_name) %}
                <input
                    type="hidden"
                    name="{{ key }}"
                    value="{{ filters[key] }}"
                >
            {% endif %}
        {% endfor %}
        <select
            onchange="this.form.submit()"
            name="{{ select_name }}"
            id="{{ select_name }}"
            class="form-control"
        >
            {% for item in items %}
                {% if (item_type == 'object') %}
                    <option value="{{ item.id  }}"{{ item.id == selected_value ? ' selected="selected"' }}>{{ item.name }}</option>
                {% endif %}
                {% if (item_type == 'value') %}
                    <option value="{{ item  }}"{{ item == selected_value ? ' selected="selected"' }}>{{ item }}</option>
                {% endif %}
            {% endfor %}
        </select>
        <label for="{{ select_name }}" style="margin: 0.5rem;">{{ label }}</label>
    </form>

{% endblock %}

